drop table telsaler_reward;
create table telsaler_reward
(
       rec_id integer not null,
       reward_index integer not null,
       telsaler_name varchar2(100) not null,
       telsaler_code varchar2(20)
);

CREATE OR REPLACE TRIGGER telsaler_reward_id
    BEFORE INSERT ON telsaler_reward
    FOR EACH ROW
BEGIN
    SELECT desktop_archievement_seq.nextval
      INTO :new.rec_id
      FROM dual;
END;
